/***************************************************************************
                          kbibentrytypeparser  -  description
                             -------------------
    begin                : Sat Mar 20 2004
    copyright            : (C) 2004 by Thach Nguyen
    email                : thach@dragon.thach.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef KBIBENTRYTYPEPARSER_H
#define KBIBENTRYTYPEPARSER_H

#include <qxml.h>

class QString;

/**
@author Thach Nguyen
*/
class KbibEntryTypeParser : public QXmlDefaultHandler
{
public:
    bool startDocument();
    bool startElement( const QString&, const QString&, const QString& ,
                       const QXmlAttributes& );
    bool endElement( const QString&, const QString&, const QString& );

private:
    QString entryType;
    QString reqField;
    QString optField;
    int level;
    bool start;
    bool req;

};

#endif
