/***************************************************************************
                          kbibnewentrytypedlg  -  description
                             -------------------
    begin                : Sat Mar 6 2004
    copyright            : (C) 2004 by Thach Nguyen
    email                : thach@dragon.thach.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef KBIBNEWENTRYTYPEDLG_H
#define KBIBNEWENTRYTYPEDLG_H

#include <kdialogbase.h>
#include <keditlistbox.h>

#include <qlabel.h>
#include <qlineedit.h>
#include <qtextedit.h>
#include <qpushbutton.h>
#include <qstring.h>
#include <qlistview.h>

/**
@author Thach Nguyen
*/
class KbibNewEntryDefDlg : public KDialogBase
{
        Q_OBJECT
public:
        KbibNewEntryDefDlg(QWidget *parent = 0, const char *name = 0);

        ~KbibNewEntryDefDlg();
        char * getEntryType();
        char *  getReqFields();
        char * getOptFields();

        void setContent(char *entryTypeName);
        int getNumReq(void)
        {
                return numReq;
        }
        int getNumOpt(void)
        {
                return numOpt;
        }


private:
        QLabel *refTypeLab;
        //QLabel *reqFieldLab;
        //QLabel *optFieldLab;
        QLineEdit *refTypeEdit;
        QString optFieldText;
        QString reqFieldText;
        QString refTypeText;
        KEditListBox * reqFields;
        KEditListBox * optFields;

        int numReq;
        int numOpt;

public slots:

};

#endif
